<?php
/** 
 * SOTESHOP/appTwitterPlugin
 * 
 * 
 * @package     appTwitterPlugin
 * @author      Pawel Byszewski <pawel@apes-apps.com>
 */

if (SF_APP == 'backend') {
    stPluginHelper::addEnableModule('appTwitterBackend', 'backend');
    stPluginHelper::addRouting('appTwitterPlugin', '/twitter/*', 'appTwitterBackend', 'index', 'backend');
    stConfiguration::addModule('appTwitterPlugin', 'group_2');
}

if (SF_APP == 'frontend') {
    stPluginHelper::addEnableModule('appTwitterFrontend', 'frontend');
    $dispatcher->connect('smarty.slot.append', array('appTwitterPluginListener', 'append'));
    stSecurity::addCSPException('*.twitter.com');
    stSecurity::addCSPException('*.syndication.twimg.com');
    stSecurity::addCSPException('*.twimg.com');
    stSecurity::addCSPException('https://syndication.twitter.com');
}