<?php

/** 
 * SOTESHOP/appTwitterPlugin
 * 
 * 
 * @package     appTwitterPlugin
 * @author      Pawel Byszewski <pawel@apes-apps.com>
 */

class appTwitterPluginListener
{
    public static function append(sfEvent $event, $components)
    {
        
        if ($event['slot']=='layout_container_left' || $event['slot']=='left-column-bottom')
        {
            $components[] = $event->getSubject()->createComponent('appTwitterFrontend', 'twitter', array("side" => "left"));
        }
        
        if ($event['slot']=='layout_container_right')
        {       
            $components[] = $event->getSubject()->createComponent('appTwitterFrontend', 'twitter', array("side" => "right"));
        }
        
        return $components;
    
    }
}