<?php use_helper('Object', 'Validation', 'ObjectAdmin', 'I18N', 'Date', 'VisualEffect', 'stAdminGenerator'); 
echo st_get_admin_head('appTwitterPlugin', __('Konfiguracja'), array('culture' => $config->getCulture()), array('stConfigurationPlugin'));
st_view_slot_start('application-menu');
st_include_partial('appTwitterBackend/menu'); 
st_view_slot_end();
?> 

<div id="sf_admin_content" class="admin-content-edit">
<?php st_include_partial('stAdminGenerator/message');?>
        <?php echo form_tag('appTwitterBackend/index?culture='.$config->getCulture(), array('id' => 'sf_admin_config_form', 'name' => 'sf_admin_config_form', 'class' => 'admin_form'));?>
<fieldset>
    <div class="content">
        <div class="row">
            <?php echo label_for('twitter[enable]', __('Włącz')) ?>
            <div class="field"><?php echo st_admin_checkbox_tag('twitter[enable]',true,$config->get('enable')) ?></div>
            <div class="clr"></div>
        </div>
        <div class="row">
            <?php echo label_for('twitter[code]', __('Wklej kod'))  ?>
            <div class="field"><?php echo textarea_tag('twitter[code]', $config->get('code', null, true), array('size'=>'70x8')) ?></div>
            <div class="clr"></div>
        </div>
    </div>
    <?php if (!stTheme::hideOldConfiguration()): ?>
        <div class="row">
            <?php echo label_for('twitter[side]', __('Wyświetlaj w kolumnie'))  ?>
            <div class="field"><?php echo select_tag('twitter[side]', options_for_select(array('left'  => __('lewej'),'right'  => __('prawej'),),array($config->get('side')))) ?></div>
            <div class="clr"></div>
        </div>
    <?php endif; ?>
</fieldset>
<div id="config_actions">
<?php echo st_get_admin_actions_head() ?>
    <?php echo st_get_admin_action('save', __('Zapisz', null, 'stAdminGeneratorPlugin'), null, array('name' => 'save')) ?>
<?php echo st_get_admin_actions_foot() ?>
</div>
</form>
</div>
<div class="clr"></div>
<?php echo st_get_admin_foot() ?>

<script type="text/javascript">
jQuery(function($) {

    $(document).ready(function() {
        $('#config_actions').stickyBox();
        fieldsetVisibility();
    });

});
</script>