<?php
/**
 * SOTESHOP/appTwitterPlugin
 * 
 * 
 * @package     appTwitterPlugin
 * @author      Pawel Byszewski <pawel@apes-apps.com>
 */

class appTwitterFrontendComponents extends sfComponents
{
    public function executeTwitter()
    {

        if (MobileDetect::getInstance()->isMobile()){
            return sfView::NONE;
        }

        $config = stConfig::getInstance(sfContext::getInstance(), 'appTwitterBackend');
        
        $twitterConfig = $config->load();
        
        $twitterConfig['code'] = $config->get('code', null, true);
        
        $this->twitterConfig = $twitterConfig;
        
        if ($twitterConfig['enable'] != 1 || (!$twitterConfig['code']) || ($twitterConfig['side'] != $this->side)) 
        {
            
            return sfView::NONE;
            
        }
        
        $this->smarty = new stSmarty('appTwitterFrontend');
        
    }
}